import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React, { useEffect } from 'react';
var ChartSub = function (_a) {
    var _b, _c, _d;
    var setup = _a.setup, subChartData = _a.subChartData;
    var _e = React.useState(null), subData = _e[0], setSubData = _e[1];
    var getValueClass = function (value) {
        var stringValue = String(value);
        if (stringValue.startsWith('-'))
            return 'decrease';
        if (stringValue.startsWith('+'))
            return 'increase';
        return '';
    };
    useEffect(function () {
        if (subChartData && Array.isArray(subChartData) && subChartData.length > 0) {
            setSubData(subChartData[0]);
        }
    }, [subChartData]);
    if (!subData)
        return null;
    return (_jsxs("div", { className: "s-dashboard-sub", style: {
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'space-between',
            width: '100%',
        }, children: [((_b = setup.sub) === null || _b === void 0 ? void 0 : _b.left) && (_jsxs("div", { className: "s-dashboard-sub__left", style: { display: setup.sub.inline ? 'flex' : 'block', width: '33,333%', textAlign: 'left' }, children: [setup.sub.left.label && _jsx("div", { className: "s-dashboard-sub__left--label", children: setup.sub.left.label }), _jsx("div", { className: "s-dashboard-sub__left--value", children: subData[setup.sub.left.field || 'left'] })] })), ((_c = setup.sub) === null || _c === void 0 ? void 0 : _c.center) && (_jsxs("div", { className: "s-dashboard-sub__center", style: { display: setup.sub.inline ? 'flex' : 'block', width: '33,333%', textAlign: 'center' }, children: [setup.sub.center.label && _jsx("div", { className: "s-dashboard-sub__center--label", children: setup.sub.center.label }), _jsx("div", { className: "s-dashboard-sub__center--value", children: subData[setup.sub.center.field || 'center'] })] })), ((_d = setup.sub) === null || _d === void 0 ? void 0 : _d.right) && (_jsxs("div", { className: "s-dashboard-sub__right", style: { display: setup.sub.inline ? 'flex' : 'block', width: '33,333%', textAlign: 'right' }, children: [setup.sub.right.label && _jsx("div", { className: "s-dashboard-sub__right--label", children: setup.sub.right.label }), _jsx("div", { className: "s-dashboard-sub__right--value ".concat(getValueClass(subData[setup.sub.right.field || 'right'])), children: subData[setup.sub.right.field || 'right'] })] }))] }));
};
export default ChartSub;
